package cz.frantovo.nekurak.dao;

import cz.frantovo.superDAO.SuperDAO;
import java.util.logging.Level;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

/**
 *
 * @author fiki
 */
public class NekurakSuperDAO extends SuperDAO {

    protected InitialContext kontext = null;

    protected enum DATABAZE {

	/** Aplikace by mohla pracovat s více datovými zdroji. */
	VYCHOZI
    }

    public NekurakSuperDAO() {
	try {
	    kontext = new InitialContext();
	} catch (NamingException ex) {
	    log.log(Level.SEVERE, "Chyba při inicializaci kontextu", ex);
	}
    }

    /**
     * @return Datový zdroj nebo null při chybě.
     */
    protected DataSource getSpojeni() {
	String jndi = orizni(getVlastnost(DATABAZE.VYCHOZI, NekurakSuperDAO.class));
	try {
	    return (DataSource) kontext.lookup(jndi);
	} catch (NamingException ex) {
	    log.log(Level.SEVERE, "getSpojeni: lookup", ex);
	    return null;
	}
    }
}
