<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  version="2.0">
    <jsp:directive.page contentType="application/xhtml+xml"/>
    <jsp:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-root-element="html"
		omit-xml-declaration="false"/>

    <fmt:setBundle basename="cz.frantovo.nekurak.preklady" scope="application"/>

    <html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	    <title><fmt:message key="nazev"/></title>
	    <link href="styl.css" type="text/css" rel="StyleSheet"/>
	</head>
	<body>
	    <h1><fmt:message key="nazev"/></h1>
	    <p><fmt:message key="popis"/></p>


	    <!-- jednoduchá podmínka -->
	    <c:if test="${param.akce == 'informace'}">
		<p>Vypíšeme nějaké informace.</p>
	    </c:if>

	    <!-- složitější větvení -->
	    <c:choose>
		<!-- if -->
		<c:when test="${param.akce == 'seznam'}">
		    <p>Vypíšeme seznam podniků:</p>
		    <!-- Vytvoříme si instanci JavaBeany -->
		    <jsp:useBean id="podnikyWeb" class="cz.frantovo.nekurak.web.PodnikyWeb" scope="request"/>
		    <table>
			<thead>
			    <tr>
				<td>Číslo</td>
				<td>Název</td>
			    </tr>
			</thead>
			<tbody>
			    <c:forEach var="p" items="${podnikyWeb.podniky}">
				<tr>
				    <td><c:out value="${p.id}"/></td>
				    <td><c:out value="${p.nazev}"/></td>
				</tr>
			    </c:forEach>
			</tbody>
		    </table>
		</c:when>
		<!-- else if -->
		<c:when test="${param.akce == 'podrobnosti'}">
		    <p>Vypíšeme podrobnosti.</p>
		</c:when>
		<!-- else -->
		<c:otherwise>
		    <p>Zobrazíme úvodní stránku.</p>
		</c:otherwise>
	    </c:choose>

	    <!-- vložíme si obsah jiného souboru.
		 Obsah adresáře WEB-INF není přímo dostupný uživateli -->
	    <jsp:include page="WEB-INF/casti/paticka.jsp">
		<jsp:param name="rok" value="2010" />
	    </jsp:include>
	</body>
    </html>

</jsp:root>
